WifiParsedResult (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.client.result, class: WifiParsedResult

Package com.google.zxing.client.result

# Class WifiParsedResult

java.lang.Object
com.google.zxing.client.result.ParsedResult
com.google.zxing.client.result.WifiParsedResult

public final class WifiParsedResult extends ParsedResult
Represents a parsed result that encodes wifi network information, like SSID and password.

Author:
  Vikram Aggarwal

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WifiParsedResult(String networkEncryption, String ssid, String password)`
  `WifiParsedResult(String networkEncryption, String ssid, String password, boolean hidden)`
  `WifiParsedResult(String networkEncryption, String ssid, String password, boolean hidden, String identity, String anonymousIdentity, String eapMethod, String phase2Method)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAnonymousIdentity()`
  `String`
  `getDisplayResult()`
  `String`
  `getEapMethod()`
  `String`
  `getIdentity()`
  `String`
  `getNetworkEncryption()`
  `String`
  `getPassword()`
  `String`
  `getPhase2Method()`
  `String`
  `getSsid()`
  `boolean`
  `isHidden()`

  ### Methods inherited from class com.google.zxing.client.result.ParsedResult

  `getType, maybeAppend, maybeAppend, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WifiParsedResult

    public WifiParsedResult(String networkEncryption, String ssid, String password)

  - ### WifiParsedResult

    public WifiParsedResult(String networkEncryption, String ssid, String password, boolean hidden)

  - ### WifiParsedResult

    public WifiParsedResult(String networkEncryption, String ssid, String password, boolean hidden, String identity, String anonymousIdentity, String eapMethod, String phase2Method)

- ## Method Details

  - ### getSsid

    public String getSsid()

  - ### getNetworkEncryption

    public String getNetworkEncryption()

  - ### getPassword

    public String getPassword()

  - ### isHidden

    public boolean isHidden()

  - ### getIdentity

    public String getIdentity()

  - ### getAnonymousIdentity

    public String getAnonymousIdentity()

  - ### getEapMethod

    public String getEapMethod()

  - ### getPhase2Method

    public String getPhase2Method()

  - ### getDisplayResult

    public String getDisplayResult()
    Specified by:
      `getDisplayResult` in class `ParsedResult`